LibreOffice: SubTotalDescriptor Service Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
Exported Interfaces | Public Attributes | List of all members
SubTotalDescriptor Service Referencepublished

represents a description of how subtotals are created. More...

Inheritance diagram for SubTotalDescriptor:

## Exported Interfaces
interface | com::sun::star::sheet::XSubTotalDescriptor
| provides access to the collection of subtotal fields.
interface | com::sun::star::container::XEnumerationAccess
| creates an enumeration of all sub total fields.
interface | com::sun::star::container::XIndexAccess
| provides access to the sub total fields in the collection via index.
interface | com::sun::star::beans::XPropertySet
| published service PropertySet

## Public Attributes
boolean | InsertPageBreaks
| specifies if page breaks are inserted after each group change.
boolean | IsCaseSensitive
| specifies if the case of letters is important when comparing entries.
boolean | EnableUserSortList
| specifies if a user defined sorting list is used.
long | UserSortListIndex
| specifies which user defined sorting list is used.
boolean | BindFormatsToContent
| specifies if cell formats are moved with the contents they belong to.
boolean | EnableSort
| specifies if the contents of the fields will be sorted to groups while performing a subtotal operation.
boolean | SortAscending
| specifies the sorting order if SubTotalDescriptor::EnableSort is set to `TRUE`.
long | MaxFieldCount
| returns the maximum number of subtotal fields the descriptor can hold.

## Additional Inherited Members
Public Member Functions inherited from XSubTotalDescriptor
void | addNew ([in] sequence< com::sun::star::sheet::SubTotalColumn > aSubTotalColumns, [in] long nGroupColumn)
| adds a subtotal field definition to the descriptor.
void | clear ()
| removes all subtotal field definitions from the descriptor.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XEnumerationAccess
com::sun::star::container::XEnumeration | createEnumeration ()
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XIndexAccess
long | getCount ()
any | getByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.

## Detailed Description

represents a description of how subtotals are created.

The descriptor contains properties and a collection of subtotal fields which control the behavior of operation.

Developers Guide
  Spreadsheet Documents - Subtotals

## Exported Interfaces

## ◆ com::sun::star::beans::XPropertySet

interface com::sun::star::beans::XPropertySet

published service PropertySet

provides access to the properties.

## ◆ com::sun::star::container::XEnumerationAccess

interface com::sun::star::container::XEnumerationAccess

creates an enumeration of all sub total fields.

See also
  com::sun::star::sheet::SubTotalFieldsEnumeration

## ◆ com::sun::star::container::XIndexAccess

interface com::sun::star::container::XIndexAccess

provides access to the sub total fields in the collection via index.

## ◆ com::sun::star::sheet::XSubTotalDescriptor

interface com::sun::star::sheet::XSubTotalDescriptor

provides access to the collection of subtotal fields.

## Member Data Documentation

## ◆ BindFormatsToContent

boolean BindFormatsToContent
| property

specifies if cell formats are moved with the contents they belong to.

## ◆ EnableSort

boolean EnableSort
| property

specifies if the contents of the fields will be sorted to groups while performing a subtotal operation.

## ◆ EnableUserSortList

boolean EnableUserSortList
| property

specifies if a user defined sorting list is used.

## ◆ InsertPageBreaks

boolean InsertPageBreaks
| property

specifies if page breaks are inserted after each group change.

## ◆ IsCaseSensitive

boolean IsCaseSensitive
| property

specifies if the case of letters is important when comparing entries.

## ◆ MaxFieldCount

long MaxFieldCount
| propertyreadonly

returns the maximum number of subtotal fields the descriptor can hold.

This read-only property indicates the maximum count of fields the current implementation supports.

## ◆ SortAscending

boolean SortAscending
| property

specifies the sorting order if SubTotalDescriptor::EnableSort is set to `TRUE`.

## ◆ UserSortListIndex

long UserSortListIndex
| property

specifies which user defined sorting list is used.

This property is only used if SubTotalDescriptor::EnableUserSortList is `TRUE`.

The documentation for this service was generated from the following file:

- com/sun/star/sheet/SubTotalDescriptor.idl